
CoCoALib - Feature #409

Minimal syzygies (optimized implementation)

17 Oct 2013 08:30 - Anna Maria Bigatti

Status: New Start date: 17 Oct 2013

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 0%

Category: New Function Estimated time: 10.00 hours

Target version: CoCoALib-1.0 Spent time: 0.50 hour

Description

As a first step towards a good implementation of resolution in CoCoALib, implement optimized MinSyz.

(Naive version is already implemented)

Related issues:

Related to CoCoA-5 - Feature #529: Naive version of resolution and Betti numbers Closed 09 Apr 2014

History

#1 - 29 Oct 2013 13:10 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532

#2 - 01 Apr 2014 19:30 - Anna Maria Bigatti

- Category set to New Function

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

- Estimated time set to 10.00 h

#3 - 08 Apr 2014 18:15 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#4 - 09 May 2014 12:58 - Anna Maria Bigatti

There is a naive implementation (compute MinGens, then syz, then minimalize).

Here we are talking of the optimized implementation.

#5 - 31 Jul 2014 12:36 - Anna Maria Bigatti

- Subject changed from Minimal syzygies to Minimal syzygies (optimized implementation)

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0
